This is the mail archive of the cygwin@sourceware.cygnus.com mailing list for the Cygwin project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]

Re: gnu-win32-specific bug in RCS 5.7



Thank you. It helped on NT, too.
Consider passing the patch to the RCS bugs mailing list
(rcs-bugs@cs.purdue.edu).

 --- conf.sh.orig        Mon Mar 17 18:15:23 1997
+++ conf.sh     Mon Mar 17 18:22:37 1997
@@ -1794,8 +1794,8 @@
 EOF
 $PREPARE_CC || exit
 h=0 p=0
 -if ($CL a.c $L && sh -c 'pid=$$; (sleep 3; kill $pid)& exec '$aout) >&2
 -then
+if ($CL a.c $L && sh -c 'pid=$$; (sleep 3; kill $pid)& sleep 4;exec '$aout)
>&2
+then  #extra sleep for fork bug
        h=1
        $PREPARE_CC || exit
        $CS -Dhas_attribute_format_printf=1 a.c >&2 && $CS_OK && p=1
@@ -1890,10 +1890,11 @@
 echo "$a#undef EXIT_FAILURE $z/* Uncomment this if EXIT_FAILURE is broken.
*/"

 : configuring large_memory
 -case "$has_map_fd$has_mmap" in
 -*1*) l=1;;
 -*) l=0
 -esac
+#case "$has_map_fd$has_mmap" in
+#*1*) l=1;;
+#*) l=0
+#esac
+l=1 #force large_memory to overcome win95 short read bug
 echo "#define large_memory $l /* Can main memory hold entire RCS files? 
 */"

 $ech >&3 "$0: configuring LONG_MAX $dots"
 --- rcstest.orig        Mon Mar 17 19:14:23 1997
+++ rcstest     Mon Mar 17 19:14:51 1997
@@ -173,7 +173,7 @@
        case $USER in
        ?*) me=$USER;;
        *)
 -               me=`who am i` || exit 2
+               me=`whoami` || exit 2
                me=`echo "$me" | sed -e 's/ .*//' -e 's/.*!//'`
                case $me in
                '') echo >&2 "$0: cannot deduce user name"; exit 2
-
For help on using this list (especially unsubscribing), send a message to
"gnu-win32-request@cygnus.com" with one line of text: "help".


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]